MP4(3)

NAME

MP4AddRtpESConfigurationPacket - Add ES configuration information to an RTP hint

SYNTAX

#include <mp4.h>

bool MP4AddRtpESConfigurationPacket(
    MP4FileHandle hFile,
    MP4TrackId trackId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AddRtpESConfigurationPacket adds a packet to the current RTP hint that contains a copy of the elementary stream configuration information of the reference media track. Some RTP payloads require this information to be transmitted at the start of streaming or periodically during streaming.

SEE ALSO

MP4(3) MP4SetTrackESConfiguration(3)